<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('evaluation', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('land_id');
            $table->double('cf_value', 15, 10);
            $table->unsignedBigInteger('user_id');
            $table->timestamps();
        });

        Schema::table('evaluation', function (Blueprint $table) {
            $table->foreign('land_id')->references('id')->on('land')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('evaluation');
    }
};
